Planet
navi homePPSaboutscreenshotsdownloaddevelopmentforum

Changeset 3423 in orxonox.OLD for orxonox/trunk/configure


Ignore:
Timestamp:
Feb 27, 2005, 7:11:19 PM (19 years ago)
Author:
bensch
Message:

orxonox/trunk: merged branches/updater back into the trunk
merged with command: svn merge branches/updater trunk -r 3241:HEAD
resolved conflicts in debug.h in favor of the trunk.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • orxonox/trunk/configure

    r3385 r3423  
    312312#endif"
    313313
    314 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CC CFLAGS ac_ct_CC CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CPP EGREP DEBUG SUB_PROJECTS_TRUE SUB_PROJECTS_FALSE DOXYGEN DOXYGEN_TRUE DOXYGEN_FALSE MSBITFIELDS GTK2_LIBS GTK2_CFLAGS HAVE_GTK2_TRUE HAVE_GTK2_FALSE LIBOBJS LTLIBOBJS'
     314ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CC CFLAGS ac_ct_CC CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CPP EGREP DEBUG SUB_PROJECTS_TRUE SUB_PROJECTS_FALSE DOXYGEN DOXYGEN_TRUE DOXYGEN_FALSE MSBITFIELDS GTK2_LIBS GTK2_CFLAGS HAVE_GTK2_TRUE HAVE_GTK2_FALSE GTHREAD_LIBS GTHREAD_CFLAGS HAVE_GTHREAD_TRUE HAVE_GTHREAD_FALSE CURL_LIBS CURL_CFLAGS HAVE_CURL_TRUE HAVE_CURL_FALSE LIBOBJS LTLIBOBJS'
    315315ac_subst_files=''
    316316
     
    873873  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
    874874  --without-gtk           Prevents GTK from being loaded
     875  --without-gthread       Prevents gThread from being loaded
     876  --without-pthread       Prevents pthread from being loaded
     877  --without-curl          Prevents libcURL from being loaded
    875878  --without-sdl-image     Prevents SDL_image from being loaded
    876879
     
    38863889  echo "no"
    38873890fi
     3891
     3892## gThread-disabled
     3893echo "$as_me:$LINENO: checking if gThread should be enabled" >&5
     3894echo $ECHO_N "checking if gThread should be enabled... $ECHO_C" >&6
     3895
     3896# Check whether --with-gthread or --without-gthread was given.
     3897if test "${with_gthread+set}" = set; then
     3898  withval="$with_gthread"
     3899  def_gthread=no
     3900else
     3901  def_gthread=yes
     3902fi;
     3903if test "$def_gthread" = yes; then
     3904  echo "yes"
     3905fi
     3906if test "$def_gthread" = no; then
     3907  echo "no"
     3908fi
     3909
     3910## pthread-disabled
     3911echo "$as_me:$LINENO: checking if pthread should be enabled" >&5
     3912echo $ECHO_N "checking if pthread should be enabled... $ECHO_C" >&6
     3913
     3914# Check whether --with-pthread or --without-pthread was given.
     3915if test "${with_pthread+set}" = set; then
     3916  withval="$with_pthread"
     3917  def_pthread=no
     3918else
     3919  def_pthread=yes
     3920fi;
     3921if test "$def_pthread" = yes; then
     3922  echo "yes"
     3923fi
     3924if test "$def_pthread" = no; then
     3925  echo "no"
     3926fi
     3927
     3928## libCurl disabled?
     3929echo "$as_me:$LINENO: checking if libcURL should be enabled" >&5
     3930echo $ECHO_N "checking if libcURL should be enabled... $ECHO_C" >&6
     3931
     3932# Check whether --with-curl or --without-curl was given.
     3933if test "${with_curl+set}" = set; then
     3934  withval="$with_curl"
     3935  def_curl=no
     3936else
     3937  def_curl=yes
     3938fi;
     3939if test "$def_curl" = yes; then
     3940  echo "yes"
     3941fi
     3942if test "$def_curl" = no; then
     3943  echo "no"
     3944fi
     3945
    38883946### SDL_image-disable
    38893947def_sdl_image=yes
     
    66856743
    66866744
    6687 
    6688 
    6689 #checking for pthread libs
    6690 # AC_CHECK_LIB([pthread], [main], FOUND_pthread=yes)
    6691 # if test "$FOUND_pthread" = "yes" ; then
    6692 #    LIBS="$LIBS -lpthread"
    6693 # fi
    6694 
    6695 
    6696 # FIXME: Replace `main' with a function in `-lm':
    6697 
    6698 echo "$as_me:$LINENO: checking for main in -lm" >&5
    6699 echo $ECHO_N "checking for main in -lm... $ECHO_C" >&6
    6700 if test "${ac_cv_lib_m_main+set}" = set; then
    6701   echo $ECHO_N "(cached) $ECHO_C" >&6
    6702 else
    6703   ac_check_lib_save_LIBS=$LIBS
    6704 LIBS="-lm  $LIBS"
    6705 cat >conftest.$ac_ext <<_ACEOF
    6706 /* confdefs.h.  */
    6707 _ACEOF
    6708 cat confdefs.h >>conftest.$ac_ext
    6709 cat >>conftest.$ac_ext <<_ACEOF
    6710 /* end confdefs.h.  */
    6711 
    6712 
    6713 int
    6714 main ()
    6715 {
    6716 main ();
    6717   ;
    6718   return 0;
    6719 }
    6720 _ACEOF
    6721 rm -f conftest.$ac_objext conftest$ac_exeext
    6722 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    6723   (eval $ac_link) 2>conftest.er1
    6724   ac_status=$?
    6725   grep -v '^ *+' conftest.er1 >conftest.err
    6726   rm -f conftest.er1
    6727   cat conftest.err >&5
    6728   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6729   (exit $ac_status); } &&
    6730          { ac_try='test -z "$ac_c_werror_flag"
    6731                          || test ! -s conftest.err'
    6732   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6733   (eval $ac_try) 2>&5
    6734   ac_status=$?
    6735   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6736   (exit $ac_status); }; } &&
    6737          { ac_try='test -s conftest$ac_exeext'
    6738   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6739   (eval $ac_try) 2>&5
    6740   ac_status=$?
    6741   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6742   (exit $ac_status); }; }; then
    6743   ac_cv_lib_m_main=yes
    6744 else
    6745   echo "$as_me: failed program was:" >&5
    6746 sed 's/^/| /' conftest.$ac_ext >&5
    6747 
    6748 ac_cv_lib_m_main=no
    6749 fi
    6750 rm -f conftest.err conftest.$ac_objext \
    6751       conftest$ac_exeext conftest.$ac_ext
    6752 LIBS=$ac_check_lib_save_LIBS
    6753 fi
    6754 echo "$as_me:$LINENO: result: $ac_cv_lib_m_main" >&5
    6755 echo "${ECHO_T}$ac_cv_lib_m_main" >&6
    6756 if test $ac_cv_lib_m_main = yes; then
    6757   cat >>confdefs.h <<_ACEOF
    6758 #define HAVE_LIBM 1
    6759 _ACEOF
    6760 
    6761   LIBS="-lm $LIBS"
    6762 
    6763 fi
    6764 
    6765 
    6766 
    6767 # Checks for header files.
    6768 echo "$as_me:$LINENO: checking for ANSI C header files" >&5
    6769 echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
    6770 if test "${ac_cv_header_stdc+set}" = set; then
    6771   echo $ECHO_N "(cached) $ECHO_C" >&6
    6772 else
    6773   cat >conftest.$ac_ext <<_ACEOF
    6774 /* confdefs.h.  */
    6775 _ACEOF
    6776 cat confdefs.h >>conftest.$ac_ext
    6777 cat >>conftest.$ac_ext <<_ACEOF
    6778 /* end confdefs.h.  */
    6779 #include <stdlib.h>
    6780 #include <stdarg.h>
    6781 #include <string.h>
    6782 #include <float.h>
    6783 
    6784 int
    6785 main ()
    6786 {
    6787 
    6788   ;
    6789   return 0;
    6790 }
    6791 _ACEOF
    6792 rm -f conftest.$ac_objext
    6793 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    6794   (eval $ac_compile) 2>conftest.er1
    6795   ac_status=$?
    6796   grep -v '^ *+' conftest.er1 >conftest.err
    6797   rm -f conftest.er1
    6798   cat conftest.err >&5
    6799   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6800   (exit $ac_status); } &&
    6801          { ac_try='test -z "$ac_c_werror_flag"
    6802                          || test ! -s conftest.err'
    6803   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6804   (eval $ac_try) 2>&5
    6805   ac_status=$?
    6806   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6807   (exit $ac_status); }; } &&
    6808          { ac_try='test -s conftest.$ac_objext'
    6809   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6810   (eval $ac_try) 2>&5
    6811   ac_status=$?
    6812   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6813   (exit $ac_status); }; }; then
    6814   ac_cv_header_stdc=yes
    6815 else
    6816   echo "$as_me: failed program was:" >&5
    6817 sed 's/^/| /' conftest.$ac_ext >&5
    6818 
    6819 ac_cv_header_stdc=no
    6820 fi
    6821 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    6822 
    6823 if test $ac_cv_header_stdc = yes; then
    6824   # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
    6825   cat >conftest.$ac_ext <<_ACEOF
    6826 /* confdefs.h.  */
    6827 _ACEOF
    6828 cat confdefs.h >>conftest.$ac_ext
    6829 cat >>conftest.$ac_ext <<_ACEOF
    6830 /* end confdefs.h.  */
    6831 #include <string.h>
    6832 
    6833 _ACEOF
    6834 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
    6835   $EGREP "memchr" >/dev/null 2>&1; then
    6836   :
    6837 else
    6838   ac_cv_header_stdc=no
    6839 fi
    6840 rm -f conftest*
    6841 
    6842 fi
    6843 
    6844 if test $ac_cv_header_stdc = yes; then
    6845   # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
    6846   cat >conftest.$ac_ext <<_ACEOF
    6847 /* confdefs.h.  */
    6848 _ACEOF
    6849 cat confdefs.h >>conftest.$ac_ext
    6850 cat >>conftest.$ac_ext <<_ACEOF
    6851 /* end confdefs.h.  */
    6852 #include <stdlib.h>
    6853 
    6854 _ACEOF
    6855 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
    6856   $EGREP "free" >/dev/null 2>&1; then
    6857   :
    6858 else
    6859   ac_cv_header_stdc=no
    6860 fi
    6861 rm -f conftest*
    6862 
    6863 fi
    6864 
    6865 if test $ac_cv_header_stdc = yes; then
    6866   # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
    6867   if test "$cross_compiling" = yes; then
    6868   :
    6869 else
    6870   cat >conftest.$ac_ext <<_ACEOF
    6871 /* confdefs.h.  */
    6872 _ACEOF
    6873 cat confdefs.h >>conftest.$ac_ext
    6874 cat >>conftest.$ac_ext <<_ACEOF
    6875 /* end confdefs.h.  */
    6876 #include <ctype.h>
    6877 #if ((' ' & 0x0FF) == 0x020)
    6878 # define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
    6879 # define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
    6880 #else
    6881 # define ISLOWER(c) \
    6882                    (('a' <= (c) && (c) <= 'i') \
    6883                      || ('j' <= (c) && (c) <= 'r') \
    6884                      || ('s' <= (c) && (c) <= 'z'))
    6885 # define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
    6886 #endif
    6887 
    6888 #define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
    6889 int
    6890 main ()
    6891 {
    6892   int i;
    6893   for (i = 0; i < 256; i++)
    6894     if (XOR (islower (i), ISLOWER (i))
    6895         || toupper (i) != TOUPPER (i))
    6896       exit(2);
    6897   exit (0);
    6898 }
    6899 _ACEOF
    6900 rm -f conftest$ac_exeext
    6901 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    6902   (eval $ac_link) 2>&5
    6903   ac_status=$?
    6904   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6905   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
    6906   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6907   (eval $ac_try) 2>&5
    6908   ac_status=$?
    6909   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6910   (exit $ac_status); }; }; then
    6911   :
    6912 else
    6913   echo "$as_me: program exited with status $ac_status" >&5
    6914 echo "$as_me: failed program was:" >&5
    6915 sed 's/^/| /' conftest.$ac_ext >&5
    6916 
    6917 ( exit $ac_status )
    6918 ac_cv_header_stdc=no
    6919 fi
    6920 rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
    6921 fi
    6922 fi
    6923 fi
    6924 echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5
    6925 echo "${ECHO_T}$ac_cv_header_stdc" >&6
    6926 if test $ac_cv_header_stdc = yes; then
    6927 
    6928 cat >>confdefs.h <<\_ACEOF
    6929 #define STDC_HEADERS 1
    6930 _ACEOF
    6931 
    6932 fi
    6933 
    6934 
    6935 
    6936 for ac_header in stdlib.h string.h
     6745## checking for gThread
     6746if test "$def_gthread" = yes; then
     6747
     6748        echo "$as_me:$LINENO: checking for gthread" >&5
     6749echo $ECHO_N "checking for gthread... $ECHO_C" >&6
     6750        if `pkg-config --exists gthread-2.0`; then
     6751                echo "yes"
     6752                have_gthread=yes
     6753                GTHREAD_LIBS=`pkg-config --libs gthread-2.0`
     6754                GTHREAD_CFLAGS=`pkg-config --cflags gthread-2.0`
     6755
     6756cat >>confdefs.h <<_ACEOF
     6757#define HAVE_GTHREAD 1
     6758_ACEOF
     6759
     6760        else
     6761                echo "no"
     6762        fi
     6763
     6764fi
     6765
     6766
     6767
     6768
     6769if test x$have_gthread = xyes; then
     6770  HAVE_GTHREAD_TRUE=
     6771  HAVE_GTHREAD_FALSE='#'
     6772else
     6773  HAVE_GTHREAD_TRUE='#'
     6774  HAVE_GTHREAD_FALSE=
     6775fi
     6776
     6777
     6778## checking for libcURL
     6779if test "$def_curl" = yes; then
     6780
     6781
     6782for ac_header in curl/curl.h
    69376783do
    69386784as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    70786924#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
    70796925_ACEOF
    7080 
     6926 curlHeader="yes"
     6927else
     6928  curlHeader="no"
    70816929fi
    70826930
    70836931done
    70846932
    7085 
    7086 # Checks for typedefs, structures, and compiler characteristics.
    7087 echo "$as_me:$LINENO: checking for stdbool.h that conforms to C99" >&5
    7088 echo $ECHO_N "checking for stdbool.h that conforms to C99... $ECHO_C" >&6
    7089 if test "${ac_cv_header_stdbool_h+set}" = set; then
     6933 echo "$as_me:$LINENO: checking for main in -lcurl" >&5
     6934echo $ECHO_N "checking for main in -lcurl... $ECHO_C" >&6
     6935if test "${ac_cv_lib_curl_main+set}" = set; then
    70906936  echo $ECHO_N "(cached) $ECHO_C" >&6
    70916937else
    7092   cat >conftest.$ac_ext <<_ACEOF
     6938  ac_check_lib_save_LIBS=$LIBS
     6939LIBS="-lcurl  $LIBS"
     6940cat >conftest.$ac_ext <<_ACEOF
    70936941/* confdefs.h.  */
    70946942_ACEOF
     
    70976945/* end confdefs.h.  */
    70986946
    7099 #include <stdbool.h>
    7100 #ifndef bool
    7101 # error bool is not defined
    7102 #endif
    7103 #ifndef false
    7104 # error false is not defined
    7105 #endif
    7106 #if false
    7107 # error false is not 0
    7108 #endif
    7109 #ifndef true
    7110 # error true is not defined
    7111 #endif
    7112 #if true != 1
    7113 # error true is not 1
    7114 #endif
    7115 #ifndef __bool_true_false_are_defined
    7116 # error __bool_true_false_are_defined is not defined
    7117 #endif
    7118 
    7119         struct s { _Bool s: 1; _Bool t; } s;
    7120 
    7121         char a[true == 1 ? 1 : -1];
    7122         char b[false == 0 ? 1 : -1];
    7123         char c[__bool_true_false_are_defined == 1 ? 1 : -1];
    7124         char d[(bool) -0.5 == true ? 1 : -1];
    7125         bool e = &s;
    7126         char f[(_Bool) -0.0 == false ? 1 : -1];
    7127         char g[true];
    7128         char h[sizeof (_Bool)];
    7129         char i[sizeof s.t];
    71306947
    71316948int
    71326949main ()
    71336950{
    7134  return !a + !b + !c + !d + !e + !f + !g + !h + !i;
     6951main ();
    71356952  ;
    71366953  return 0;
    71376954}
    71386955_ACEOF
    7139 rm -f conftest.$ac_objext
    7140 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    7141   (eval $ac_compile) 2>conftest.er1
     6956rm -f conftest.$ac_objext conftest$ac_exeext
     6957if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     6958  (eval $ac_link) 2>conftest.er1
    71426959  ac_status=$?
    71436960  grep -v '^ *+' conftest.er1 >conftest.err
     
    71536970  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    71546971  (exit $ac_status); }; } &&
    7155          { ac_try='test -s conftest.$ac_objext'
     6972         { ac_try='test -s conftest$ac_exeext'
    71566973  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    71576974  (eval $ac_try) 2>&5
     
    71596976  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    71606977  (exit $ac_status); }; }; then
    7161   ac_cv_header_stdbool_h=yes
     6978  ac_cv_lib_curl_main=yes
    71626979else
    71636980  echo "$as_me: failed program was:" >&5
    71646981sed 's/^/| /' conftest.$ac_ext >&5
    71656982
    7166 ac_cv_header_stdbool_h=no
    7167 fi
    7168 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    7169 fi
    7170 echo "$as_me:$LINENO: result: $ac_cv_header_stdbool_h" >&5
    7171 echo "${ECHO_T}$ac_cv_header_stdbool_h" >&6
    7172 echo "$as_me:$LINENO: checking for _Bool" >&5
    7173 echo $ECHO_N "checking for _Bool... $ECHO_C" >&6
    7174 if test "${ac_cv_type__Bool+set}" = set; then
    7175   echo $ECHO_N "(cached) $ECHO_C" >&6
    7176 else
    7177   cat >conftest.$ac_ext <<_ACEOF
    7178 /* confdefs.h.  */
    7179 _ACEOF
    7180 cat confdefs.h >>conftest.$ac_ext
    7181 cat >>conftest.$ac_ext <<_ACEOF
    7182 /* end confdefs.h.  */
    7183 $ac_includes_default
    7184 int
    7185 main ()
    7186 {
    7187 if ((_Bool *) 0)
    7188   return 0;
    7189 if (sizeof (_Bool))
    7190   return 0;
    7191   ;
    7192   return 0;
    7193 }
    7194 _ACEOF
    7195 rm -f conftest.$ac_objext
    7196 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    7197   (eval $ac_compile) 2>conftest.er1
    7198   ac_status=$?
    7199   grep -v '^ *+' conftest.er1 >conftest.err
    7200   rm -f conftest.er1
    7201   cat conftest.err >&5
    7202   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7203   (exit $ac_status); } &&
    7204          { ac_try='test -z "$ac_c_werror_flag"
    7205                          || test ! -s conftest.err'
    7206   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    7207   (eval $ac_try) 2>&5
    7208   ac_status=$?
    7209   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7210   (exit $ac_status); }; } &&
    7211          { ac_try='test -s conftest.$ac_objext'
    7212   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    7213   (eval $ac_try) 2>&5
    7214   ac_status=$?
    7215   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7216   (exit $ac_status); }; }; then
    7217   ac_cv_type__Bool=yes
    7218 else
    7219   echo "$as_me: failed program was:" >&5
    7220 sed 's/^/| /' conftest.$ac_ext >&5
    7221 
    7222 ac_cv_type__Bool=no
    7223 fi
    7224 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    7225 fi
    7226 echo "$as_me:$LINENO: result: $ac_cv_type__Bool" >&5
    7227 echo "${ECHO_T}$ac_cv_type__Bool" >&6
    7228 if test $ac_cv_type__Bool = yes; then
     6983ac_cv_lib_curl_main=no
     6984fi
     6985rm -f conftest.err conftest.$ac_objext \
     6986      conftest$ac_exeext conftest.$ac_ext
     6987LIBS=$ac_check_lib_save_LIBS
     6988fi
     6989echo "$as_me:$LINENO: result: $ac_cv_lib_curl_main" >&5
     6990echo "${ECHO_T}$ac_cv_lib_curl_main" >&6
     6991if test $ac_cv_lib_curl_main = yes; then
     6992  FOUND_curl=yes
     6993fi
     6994
     6995 if test x$curlHeader = xyes & test x$FOUND_curl = xyes ; then
     6996  have_curl=yes
     6997  CURL_LIBS=`curl-config --libs`
     6998  CURLCFLAGS=`curl-config --cflags`
    72296999
    72307000cat >>confdefs.h <<_ACEOF
    7231 #define HAVE__BOOL 1
    7232 _ACEOF
    7233 
    7234 
    7235 fi
    7236 
    7237 if test $ac_cv_header_stdbool_h = yes; then
    7238 
    7239 cat >>confdefs.h <<\_ACEOF
    7240 #define HAVE_STDBOOL_H 1
    7241 _ACEOF
    7242 
    7243 fi
    7244 
    7245 
    7246 # Checks for library functions.
    7247 
    7248 for ac_header in stdlib.h
     7001#define HAVE_CURL 1
     7002_ACEOF
     7003
     7004 else
     7005  have_curl=no
     7006 fi
     7007
     7008fi
     7009
     7010
     7011
     7012
     7013if test x$have_curl = xyes; then
     7014  HAVE_CURL_TRUE=
     7015  HAVE_CURL_FALSE='#'
     7016else
     7017  HAVE_CURL_TRUE='#'
     7018  HAVE_CURL_FALSE=
     7019fi
     7020
     7021
     7022
     7023##checking for pthread
     7024if test x$def_pthread = xyes ; then
     7025 if test x$have_gthread = xyes ; then
     7026
     7027for ac_header in pthread.h
    72497028do
    72507029as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    73907169#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
    73917170_ACEOF
     7171 pthreadHeader="yes"
     7172else
     7173  pthreadHeader="no"
     7174fi
     7175
     7176done
     7177
     7178  echo "$as_me:$LINENO: checking for main in -lpthread" >&5
     7179echo $ECHO_N "checking for main in -lpthread... $ECHO_C" >&6
     7180if test "${ac_cv_lib_pthread_main+set}" = set; then
     7181  echo $ECHO_N "(cached) $ECHO_C" >&6
     7182else
     7183  ac_check_lib_save_LIBS=$LIBS
     7184LIBS="-lpthread  $LIBS"
     7185cat >conftest.$ac_ext <<_ACEOF
     7186/* confdefs.h.  */
     7187_ACEOF
     7188cat confdefs.h >>conftest.$ac_ext
     7189cat >>conftest.$ac_ext <<_ACEOF
     7190/* end confdefs.h.  */
     7191
     7192
     7193int
     7194main ()
     7195{
     7196main ();
     7197  ;
     7198  return 0;
     7199}
     7200_ACEOF
     7201rm -f conftest.$ac_objext conftest$ac_exeext
     7202if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     7203  (eval $ac_link) 2>conftest.er1
     7204  ac_status=$?
     7205  grep -v '^ *+' conftest.er1 >conftest.err
     7206  rm -f conftest.er1
     7207  cat conftest.err >&5
     7208  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7209  (exit $ac_status); } &&
     7210         { ac_try='test -z "$ac_c_werror_flag"
     7211                         || test ! -s conftest.err'
     7212  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7213  (eval $ac_try) 2>&5
     7214  ac_status=$?
     7215  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7216  (exit $ac_status); }; } &&
     7217         { ac_try='test -s conftest$ac_exeext'
     7218  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7219  (eval $ac_try) 2>&5
     7220  ac_status=$?
     7221  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7222  (exit $ac_status); }; }; then
     7223  ac_cv_lib_pthread_main=yes
     7224else
     7225  echo "$as_me: failed program was:" >&5
     7226sed 's/^/| /' conftest.$ac_ext >&5
     7227
     7228ac_cv_lib_pthread_main=no
     7229fi
     7230rm -f conftest.err conftest.$ac_objext \
     7231      conftest$ac_exeext conftest.$ac_ext
     7232LIBS=$ac_check_lib_save_LIBS
     7233fi
     7234echo "$as_me:$LINENO: result: $ac_cv_lib_pthread_main" >&5
     7235echo "${ECHO_T}$ac_cv_lib_pthread_main" >&6
     7236if test $ac_cv_lib_pthread_main = yes; then
     7237  FOUND_pthread=yes
     7238fi
     7239
     7240   if test "$FOUND_pthread" = "yes" ; then
     7241      LIBS="$LIBS -lpthread"
     7242   fi
     7243 fi
     7244fi
     7245# FIXME: Replace `main' with a function in `-lm':
     7246
     7247echo "$as_me:$LINENO: checking for main in -lm" >&5
     7248echo $ECHO_N "checking for main in -lm... $ECHO_C" >&6
     7249if test "${ac_cv_lib_m_main+set}" = set; then
     7250  echo $ECHO_N "(cached) $ECHO_C" >&6
     7251else
     7252  ac_check_lib_save_LIBS=$LIBS
     7253LIBS="-lm  $LIBS"
     7254cat >conftest.$ac_ext <<_ACEOF
     7255/* confdefs.h.  */
     7256_ACEOF
     7257cat confdefs.h >>conftest.$ac_ext
     7258cat >>conftest.$ac_ext <<_ACEOF
     7259/* end confdefs.h.  */
     7260
     7261
     7262int
     7263main ()
     7264{
     7265main ();
     7266  ;
     7267  return 0;
     7268}
     7269_ACEOF
     7270rm -f conftest.$ac_objext conftest$ac_exeext
     7271if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     7272  (eval $ac_link) 2>conftest.er1
     7273  ac_status=$?
     7274  grep -v '^ *+' conftest.er1 >conftest.err
     7275  rm -f conftest.er1
     7276  cat conftest.err >&5
     7277  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7278  (exit $ac_status); } &&
     7279         { ac_try='test -z "$ac_c_werror_flag"
     7280                         || test ! -s conftest.err'
     7281  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7282  (eval $ac_try) 2>&5
     7283  ac_status=$?
     7284  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7285  (exit $ac_status); }; } &&
     7286         { ac_try='test -s conftest$ac_exeext'
     7287  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7288  (eval $ac_try) 2>&5
     7289  ac_status=$?
     7290  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7291  (exit $ac_status); }; }; then
     7292  ac_cv_lib_m_main=yes
     7293else
     7294  echo "$as_me: failed program was:" >&5
     7295sed 's/^/| /' conftest.$ac_ext >&5
     7296
     7297ac_cv_lib_m_main=no
     7298fi
     7299rm -f conftest.err conftest.$ac_objext \
     7300      conftest$ac_exeext conftest.$ac_ext
     7301LIBS=$ac_check_lib_save_LIBS
     7302fi
     7303echo "$as_me:$LINENO: result: $ac_cv_lib_m_main" >&5
     7304echo "${ECHO_T}$ac_cv_lib_m_main" >&6
     7305if test $ac_cv_lib_m_main = yes; then
     7306  cat >>confdefs.h <<_ACEOF
     7307#define HAVE_LIBM 1
     7308_ACEOF
     7309
     7310  LIBS="-lm $LIBS"
     7311
     7312fi
     7313
     7314
     7315
     7316# Checks for header files.
     7317echo "$as_me:$LINENO: checking for ANSI C header files" >&5
     7318echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
     7319if test "${ac_cv_header_stdc+set}" = set; then
     7320  echo $ECHO_N "(cached) $ECHO_C" >&6
     7321else
     7322  cat >conftest.$ac_ext <<_ACEOF
     7323/* confdefs.h.  */
     7324_ACEOF
     7325cat confdefs.h >>conftest.$ac_ext
     7326cat >>conftest.$ac_ext <<_ACEOF
     7327/* end confdefs.h.  */
     7328#include <stdlib.h>
     7329#include <stdarg.h>
     7330#include <string.h>
     7331#include <float.h>
     7332
     7333int
     7334main ()
     7335{
     7336
     7337  ;
     7338  return 0;
     7339}
     7340_ACEOF
     7341rm -f conftest.$ac_objext
     7342if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     7343  (eval $ac_compile) 2>conftest.er1
     7344  ac_status=$?
     7345  grep -v '^ *+' conftest.er1 >conftest.err
     7346  rm -f conftest.er1
     7347  cat conftest.err >&5
     7348  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7349  (exit $ac_status); } &&
     7350         { ac_try='test -z "$ac_c_werror_flag"
     7351                         || test ! -s conftest.err'
     7352  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7353  (eval $ac_try) 2>&5
     7354  ac_status=$?
     7355  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7356  (exit $ac_status); }; } &&
     7357         { ac_try='test -s conftest.$ac_objext'
     7358  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7359  (eval $ac_try) 2>&5
     7360  ac_status=$?
     7361  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7362  (exit $ac_status); }; }; then
     7363  ac_cv_header_stdc=yes
     7364else
     7365  echo "$as_me: failed program was:" >&5
     7366sed 's/^/| /' conftest.$ac_ext >&5
     7367
     7368ac_cv_header_stdc=no
     7369fi
     7370rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     7371
     7372if test $ac_cv_header_stdc = yes; then
     7373  # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
     7374  cat >conftest.$ac_ext <<_ACEOF
     7375/* confdefs.h.  */
     7376_ACEOF
     7377cat confdefs.h >>conftest.$ac_ext
     7378cat >>conftest.$ac_ext <<_ACEOF
     7379/* end confdefs.h.  */
     7380#include <string.h>
     7381
     7382_ACEOF
     7383if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
     7384  $EGREP "memchr" >/dev/null 2>&1; then
     7385  :
     7386else
     7387  ac_cv_header_stdc=no
     7388fi
     7389rm -f conftest*
     7390
     7391fi
     7392
     7393if test $ac_cv_header_stdc = yes; then
     7394  # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
     7395  cat >conftest.$ac_ext <<_ACEOF
     7396/* confdefs.h.  */
     7397_ACEOF
     7398cat confdefs.h >>conftest.$ac_ext
     7399cat >>conftest.$ac_ext <<_ACEOF
     7400/* end confdefs.h.  */
     7401#include <stdlib.h>
     7402
     7403_ACEOF
     7404if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
     7405  $EGREP "free" >/dev/null 2>&1; then
     7406  :
     7407else
     7408  ac_cv_header_stdc=no
     7409fi
     7410rm -f conftest*
     7411
     7412fi
     7413
     7414if test $ac_cv_header_stdc = yes; then
     7415  # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
     7416  if test "$cross_compiling" = yes; then
     7417  :
     7418else
     7419  cat >conftest.$ac_ext <<_ACEOF
     7420/* confdefs.h.  */
     7421_ACEOF
     7422cat confdefs.h >>conftest.$ac_ext
     7423cat >>conftest.$ac_ext <<_ACEOF
     7424/* end confdefs.h.  */
     7425#include <ctype.h>
     7426#if ((' ' & 0x0FF) == 0x020)
     7427# define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
     7428# define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
     7429#else
     7430# define ISLOWER(c) \
     7431                   (('a' <= (c) && (c) <= 'i') \
     7432                     || ('j' <= (c) && (c) <= 'r') \
     7433                     || ('s' <= (c) && (c) <= 'z'))
     7434# define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
     7435#endif
     7436
     7437#define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
     7438int
     7439main ()
     7440{
     7441  int i;
     7442  for (i = 0; i < 256; i++)
     7443    if (XOR (islower (i), ISLOWER (i))
     7444        || toupper (i) != TOUPPER (i))
     7445      exit(2);
     7446  exit (0);
     7447}
     7448_ACEOF
     7449rm -f conftest$ac_exeext
     7450if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     7451  (eval $ac_link) 2>&5
     7452  ac_status=$?
     7453  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7454  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
     7455  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7456  (eval $ac_try) 2>&5
     7457  ac_status=$?
     7458  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7459  (exit $ac_status); }; }; then
     7460  :
     7461else
     7462  echo "$as_me: program exited with status $ac_status" >&5
     7463echo "$as_me: failed program was:" >&5
     7464sed 's/^/| /' conftest.$ac_ext >&5
     7465
     7466( exit $ac_status )
     7467ac_cv_header_stdc=no
     7468fi
     7469rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
     7470fi
     7471fi
     7472fi
     7473echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5
     7474echo "${ECHO_T}$ac_cv_header_stdc" >&6
     7475if test $ac_cv_header_stdc = yes; then
     7476
     7477cat >>confdefs.h <<\_ACEOF
     7478#define STDC_HEADERS 1
     7479_ACEOF
     7480
     7481fi
     7482
     7483
     7484
     7485for ac_header in stdlib.h string.h
     7486do
     7487as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     7488if eval "test \"\${$as_ac_Header+set}\" = set"; then
     7489  echo "$as_me:$LINENO: checking for $ac_header" >&5
     7490echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     7491if eval "test \"\${$as_ac_Header+set}\" = set"; then
     7492  echo $ECHO_N "(cached) $ECHO_C" >&6
     7493fi
     7494echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     7495echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     7496else
     7497  # Is the header compilable?
     7498echo "$as_me:$LINENO: checking $ac_header usability" >&5
     7499echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     7500cat >conftest.$ac_ext <<_ACEOF
     7501/* confdefs.h.  */
     7502_ACEOF
     7503cat confdefs.h >>conftest.$ac_ext
     7504cat >>conftest.$ac_ext <<_ACEOF
     7505/* end confdefs.h.  */
     7506$ac_includes_default
     7507#include <$ac_header>
     7508_ACEOF
     7509rm -f conftest.$ac_objext
     7510if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     7511  (eval $ac_compile) 2>conftest.er1
     7512  ac_status=$?
     7513  grep -v '^ *+' conftest.er1 >conftest.err
     7514  rm -f conftest.er1
     7515  cat conftest.err >&5
     7516  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7517  (exit $ac_status); } &&
     7518         { ac_try='test -z "$ac_c_werror_flag"
     7519                         || test ! -s conftest.err'
     7520  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7521  (eval $ac_try) 2>&5
     7522  ac_status=$?
     7523  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7524  (exit $ac_status); }; } &&
     7525         { ac_try='test -s conftest.$ac_objext'
     7526  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7527  (eval $ac_try) 2>&5
     7528  ac_status=$?
     7529  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7530  (exit $ac_status); }; }; then
     7531  ac_header_compiler=yes
     7532else
     7533  echo "$as_me: failed program was:" >&5
     7534sed 's/^/| /' conftest.$ac_ext >&5
     7535
     7536ac_header_compiler=no
     7537fi
     7538rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     7539echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     7540echo "${ECHO_T}$ac_header_compiler" >&6
     7541
     7542# Is the header present?
     7543echo "$as_me:$LINENO: checking $ac_header presence" >&5
     7544echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     7545cat >conftest.$ac_ext <<_ACEOF
     7546/* confdefs.h.  */
     7547_ACEOF
     7548cat confdefs.h >>conftest.$ac_ext
     7549cat >>conftest.$ac_ext <<_ACEOF
     7550/* end confdefs.h.  */
     7551#include <$ac_header>
     7552_ACEOF
     7553if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     7554  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     7555  ac_status=$?
     7556  grep -v '^ *+' conftest.er1 >conftest.err
     7557  rm -f conftest.er1
     7558  cat conftest.err >&5
     7559  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7560  (exit $ac_status); } >/dev/null; then
     7561  if test -s conftest.err; then
     7562    ac_cpp_err=$ac_c_preproc_warn_flag
     7563    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     7564  else
     7565    ac_cpp_err=
     7566  fi
     7567else
     7568  ac_cpp_err=yes
     7569fi
     7570if test -z "$ac_cpp_err"; then
     7571  ac_header_preproc=yes
     7572else
     7573  echo "$as_me: failed program was:" >&5
     7574sed 's/^/| /' conftest.$ac_ext >&5
     7575
     7576  ac_header_preproc=no
     7577fi
     7578rm -f conftest.err conftest.$ac_ext
     7579echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     7580echo "${ECHO_T}$ac_header_preproc" >&6
     7581
     7582# So?  What about this header?
     7583case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
     7584  yes:no: )
     7585    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     7586echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     7587    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     7588echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     7589    ac_header_preproc=yes
     7590    ;;
     7591  no:yes:* )
     7592    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     7593echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     7594    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     7595echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     7596    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     7597echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     7598    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     7599echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     7600    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     7601echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     7602    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     7603echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     7604    (
     7605      cat <<\_ASBOX
     7606## ---------------------------------------------- ##
     7607## Report this to orxonox-dev at mail.datacore.ch ##
     7608## ---------------------------------------------- ##
     7609_ASBOX
     7610    ) |
     7611      sed "s/^/$as_me: WARNING:     /" >&2
     7612    ;;
     7613esac
     7614echo "$as_me:$LINENO: checking for $ac_header" >&5
     7615echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     7616if eval "test \"\${$as_ac_Header+set}\" = set"; then
     7617  echo $ECHO_N "(cached) $ECHO_C" >&6
     7618else
     7619  eval "$as_ac_Header=\$ac_header_preproc"
     7620fi
     7621echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     7622echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     7623
     7624fi
     7625if test `eval echo '${'$as_ac_Header'}'` = yes; then
     7626  cat >>confdefs.h <<_ACEOF
     7627#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     7628_ACEOF
     7629
     7630fi
     7631
     7632done
     7633
     7634
     7635# Checks for typedefs, structures, and compiler characteristics.
     7636echo "$as_me:$LINENO: checking for stdbool.h that conforms to C99" >&5
     7637echo $ECHO_N "checking for stdbool.h that conforms to C99... $ECHO_C" >&6
     7638if test "${ac_cv_header_stdbool_h+set}" = set; then
     7639  echo $ECHO_N "(cached) $ECHO_C" >&6
     7640else
     7641  cat >conftest.$ac_ext <<_ACEOF
     7642/* confdefs.h.  */
     7643_ACEOF
     7644cat confdefs.h >>conftest.$ac_ext
     7645cat >>conftest.$ac_ext <<_ACEOF
     7646/* end confdefs.h.  */
     7647
     7648#include <stdbool.h>
     7649#ifndef bool
     7650# error bool is not defined
     7651#endif
     7652#ifndef false
     7653# error false is not defined
     7654#endif
     7655#if false
     7656# error false is not 0
     7657#endif
     7658#ifndef true
     7659# error true is not defined
     7660#endif
     7661#if true != 1
     7662# error true is not 1
     7663#endif
     7664#ifndef __bool_true_false_are_defined
     7665# error __bool_true_false_are_defined is not defined
     7666#endif
     7667
     7668        struct s { _Bool s: 1; _Bool t; } s;
     7669
     7670        char a[true == 1 ? 1 : -1];
     7671        char b[false == 0 ? 1 : -1];
     7672        char c[__bool_true_false_are_defined == 1 ? 1 : -1];
     7673        char d[(bool) -0.5 == true ? 1 : -1];
     7674        bool e = &s;
     7675        char f[(_Bool) -0.0 == false ? 1 : -1];
     7676        char g[true];
     7677        char h[sizeof (_Bool)];
     7678        char i[sizeof s.t];
     7679
     7680int
     7681main ()
     7682{
     7683 return !a + !b + !c + !d + !e + !f + !g + !h + !i;
     7684  ;
     7685  return 0;
     7686}
     7687_ACEOF
     7688rm -f conftest.$ac_objext
     7689if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     7690  (eval $ac_compile) 2>conftest.er1
     7691  ac_status=$?
     7692  grep -v '^ *+' conftest.er1 >conftest.err
     7693  rm -f conftest.er1
     7694  cat conftest.err >&5
     7695  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7696  (exit $ac_status); } &&
     7697         { ac_try='test -z "$ac_c_werror_flag"
     7698                         || test ! -s conftest.err'
     7699  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7700  (eval $ac_try) 2>&5
     7701  ac_status=$?
     7702  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7703  (exit $ac_status); }; } &&
     7704         { ac_try='test -s conftest.$ac_objext'
     7705  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7706  (eval $ac_try) 2>&5
     7707  ac_status=$?
     7708  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7709  (exit $ac_status); }; }; then
     7710  ac_cv_header_stdbool_h=yes
     7711else
     7712  echo "$as_me: failed program was:" >&5
     7713sed 's/^/| /' conftest.$ac_ext >&5
     7714
     7715ac_cv_header_stdbool_h=no
     7716fi
     7717rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     7718fi
     7719echo "$as_me:$LINENO: result: $ac_cv_header_stdbool_h" >&5
     7720echo "${ECHO_T}$ac_cv_header_stdbool_h" >&6
     7721echo "$as_me:$LINENO: checking for _Bool" >&5
     7722echo $ECHO_N "checking for _Bool... $ECHO_C" >&6
     7723if test "${ac_cv_type__Bool+set}" = set; then
     7724  echo $ECHO_N "(cached) $ECHO_C" >&6
     7725else
     7726  cat >conftest.$ac_ext <<_ACEOF
     7727/* confdefs.h.  */
     7728_ACEOF
     7729cat confdefs.h >>conftest.$ac_ext
     7730cat >>conftest.$ac_ext <<_ACEOF
     7731/* end confdefs.h.  */
     7732$ac_includes_default
     7733int
     7734main ()
     7735{
     7736if ((_Bool *) 0)
     7737  return 0;
     7738if (sizeof (_Bool))
     7739  return 0;
     7740  ;
     7741  return 0;
     7742}
     7743_ACEOF
     7744rm -f conftest.$ac_objext
     7745if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     7746  (eval $ac_compile) 2>conftest.er1
     7747  ac_status=$?
     7748  grep -v '^ *+' conftest.er1 >conftest.err
     7749  rm -f conftest.er1
     7750  cat conftest.err >&5
     7751  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7752  (exit $ac_status); } &&
     7753         { ac_try='test -z "$ac_c_werror_flag"
     7754                         || test ! -s conftest.err'
     7755  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7756  (eval $ac_try) 2>&5
     7757  ac_status=$?
     7758  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7759  (exit $ac_status); }; } &&
     7760         { ac_try='test -s conftest.$ac_objext'
     7761  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7762  (eval $ac_try) 2>&5
     7763  ac_status=$?
     7764  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7765  (exit $ac_status); }; }; then
     7766  ac_cv_type__Bool=yes
     7767else
     7768  echo "$as_me: failed program was:" >&5
     7769sed 's/^/| /' conftest.$ac_ext >&5
     7770
     7771ac_cv_type__Bool=no
     7772fi
     7773rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     7774fi
     7775echo "$as_me:$LINENO: result: $ac_cv_type__Bool" >&5
     7776echo "${ECHO_T}$ac_cv_type__Bool" >&6
     7777if test $ac_cv_type__Bool = yes; then
     7778
     7779cat >>confdefs.h <<_ACEOF
     7780#define HAVE__BOOL 1
     7781_ACEOF
     7782
     7783
     7784fi
     7785
     7786if test $ac_cv_header_stdbool_h = yes; then
     7787
     7788cat >>confdefs.h <<\_ACEOF
     7789#define HAVE_STDBOOL_H 1
     7790_ACEOF
     7791
     7792fi
     7793
     7794
     7795# Checks for library functions.
     7796
     7797for ac_header in stdlib.h
     7798do
     7799as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     7800if eval "test \"\${$as_ac_Header+set}\" = set"; then
     7801  echo "$as_me:$LINENO: checking for $ac_header" >&5
     7802echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     7803if eval "test \"\${$as_ac_Header+set}\" = set"; then
     7804  echo $ECHO_N "(cached) $ECHO_C" >&6
     7805fi
     7806echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     7807echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     7808else
     7809  # Is the header compilable?
     7810echo "$as_me:$LINENO: checking $ac_header usability" >&5
     7811echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     7812cat >conftest.$ac_ext <<_ACEOF
     7813/* confdefs.h.  */
     7814_ACEOF
     7815cat confdefs.h >>conftest.$ac_ext
     7816cat >>conftest.$ac_ext <<_ACEOF
     7817/* end confdefs.h.  */
     7818$ac_includes_default
     7819#include <$ac_header>
     7820_ACEOF
     7821rm -f conftest.$ac_objext
     7822if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     7823  (eval $ac_compile) 2>conftest.er1
     7824  ac_status=$?
     7825  grep -v '^ *+' conftest.er1 >conftest.err
     7826  rm -f conftest.er1
     7827  cat conftest.err >&5
     7828  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7829  (exit $ac_status); } &&
     7830         { ac_try='test -z "$ac_c_werror_flag"
     7831                         || test ! -s conftest.err'
     7832  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7833  (eval $ac_try) 2>&5
     7834  ac_status=$?
     7835  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7836  (exit $ac_status); }; } &&
     7837         { ac_try='test -s conftest.$ac_objext'
     7838  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7839  (eval $ac_try) 2>&5
     7840  ac_status=$?
     7841  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7842  (exit $ac_status); }; }; then
     7843  ac_header_compiler=yes
     7844else
     7845  echo "$as_me: failed program was:" >&5
     7846sed 's/^/| /' conftest.$ac_ext >&5
     7847
     7848ac_header_compiler=no
     7849fi
     7850rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     7851echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     7852echo "${ECHO_T}$ac_header_compiler" >&6
     7853
     7854# Is the header present?
     7855echo "$as_me:$LINENO: checking $ac_header presence" >&5
     7856echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     7857cat >conftest.$ac_ext <<_ACEOF
     7858/* confdefs.h.  */
     7859_ACEOF
     7860cat confdefs.h >>conftest.$ac_ext
     7861cat >>conftest.$ac_ext <<_ACEOF
     7862/* end confdefs.h.  */
     7863#include <$ac_header>
     7864_ACEOF
     7865if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     7866  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     7867  ac_status=$?
     7868  grep -v '^ *+' conftest.er1 >conftest.err
     7869  rm -f conftest.er1
     7870  cat conftest.err >&5
     7871  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7872  (exit $ac_status); } >/dev/null; then
     7873  if test -s conftest.err; then
     7874    ac_cpp_err=$ac_c_preproc_warn_flag
     7875    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     7876  else
     7877    ac_cpp_err=
     7878  fi
     7879else
     7880  ac_cpp_err=yes
     7881fi
     7882if test -z "$ac_cpp_err"; then
     7883  ac_header_preproc=yes
     7884else
     7885  echo "$as_me: failed program was:" >&5
     7886sed 's/^/| /' conftest.$ac_ext >&5
     7887
     7888  ac_header_preproc=no
     7889fi
     7890rm -f conftest.err conftest.$ac_ext
     7891echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     7892echo "${ECHO_T}$ac_header_preproc" >&6
     7893
     7894# So?  What about this header?
     7895case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
     7896  yes:no: )
     7897    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     7898echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     7899    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     7900echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     7901    ac_header_preproc=yes
     7902    ;;
     7903  no:yes:* )
     7904    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     7905echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     7906    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     7907echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     7908    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     7909echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     7910    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     7911echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     7912    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     7913echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     7914    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     7915echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     7916    (
     7917      cat <<\_ASBOX
     7918## ---------------------------------------------- ##
     7919## Report this to orxonox-dev at mail.datacore.ch ##
     7920## ---------------------------------------------- ##
     7921_ASBOX
     7922    ) |
     7923      sed "s/^/$as_me: WARNING:     /" >&2
     7924    ;;
     7925esac
     7926echo "$as_me:$LINENO: checking for $ac_header" >&5
     7927echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     7928if eval "test \"\${$as_ac_Header+set}\" = set"; then
     7929  echo $ECHO_N "(cached) $ECHO_C" >&6
     7930else
     7931  eval "$as_ac_Header=\$ac_header_preproc"
     7932fi
     7933echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     7934echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     7935
     7936fi
     7937if test `eval echo '${'$as_ac_Header'}'` = yes; then
     7938  cat >>confdefs.h <<_ACEOF
     7939#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     7940_ACEOF
    73927941
    73937942fi
     
    77138262Usually this means the macro was only invoked conditionally." >&5
    77148263echo "$as_me: error: conditional \"HAVE_GTK2\" was never defined.
     8264Usually this means the macro was only invoked conditionally." >&2;}
     8265   { (exit 1); exit 1; }; }
     8266fi
     8267if test -z "${HAVE_GTHREAD_TRUE}" && test -z "${HAVE_GTHREAD_FALSE}"; then
     8268  { { echo "$as_me:$LINENO: error: conditional \"HAVE_GTHREAD\" was never defined.
     8269Usually this means the macro was only invoked conditionally." >&5
     8270echo "$as_me: error: conditional \"HAVE_GTHREAD\" was never defined.
     8271Usually this means the macro was only invoked conditionally." >&2;}
     8272   { (exit 1); exit 1; }; }
     8273fi
     8274if test -z "${HAVE_CURL_TRUE}" && test -z "${HAVE_CURL_FALSE}"; then
     8275  { { echo "$as_me:$LINENO: error: conditional \"HAVE_CURL\" was never defined.
     8276Usually this means the macro was only invoked conditionally." >&5
     8277echo "$as_me: error: conditional \"HAVE_CURL\" was never defined.
    77158278Usually this means the macro was only invoked conditionally." >&2;}
    77168279   { (exit 1); exit 1; }; }
     
    83198882s,@HAVE_GTK2_TRUE@,$HAVE_GTK2_TRUE,;t t
    83208883s,@HAVE_GTK2_FALSE@,$HAVE_GTK2_FALSE,;t t
     8884s,@GTHREAD_LIBS@,$GTHREAD_LIBS,;t t
     8885s,@GTHREAD_CFLAGS@,$GTHREAD_CFLAGS,;t t
     8886s,@HAVE_GTHREAD_TRUE@,$HAVE_GTHREAD_TRUE,;t t
     8887s,@HAVE_GTHREAD_FALSE@,$HAVE_GTHREAD_FALSE,;t t
     8888s,@CURL_LIBS@,$CURL_LIBS,;t t
     8889s,@CURL_CFLAGS@,$CURL_CFLAGS,;t t
     8890s,@HAVE_CURL_TRUE@,$HAVE_CURL_TRUE,;t t
     8891s,@HAVE_CURL_FALSE@,$HAVE_CURL_FALSE,;t t
    83218892s,@LIBOBJS@,$LIBOBJS,;t t
    83228893s,@LTLIBOBJS@,$LTLIBOBJS,;t t
Note: See TracChangeset for help on using the changeset viewer.